{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"8e2ab40746e741b182f3f940431bae5eac570838","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-17.0.3.tgz","fileCount":7,"integrity":"sha512-jah2u3Omm11YP1ORFVTPLrlrBdRT4Wc7xWPTg1rMRquSmEhOqkNpM15bIwDb9ugtq2S5tLe5b+gLHXQeZ3RiMw==","signatures":[{"sig":"MEUCIH3J9j9FtnGFsoN1DIxJBQsxxhmXSP5tYyUSg0FBKRWVAiEApFdnVEWYEZA87TmgULwf0eS6Cb/9bFFdh/P9e7MdG38=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":220354},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"engines":{"node":">=24.13.1 <25 || >=26.0.0"},"gitHead":"5977742f192d3ec751fefe70fe5f4666b44dbbf1","license":"MIT","scripts":{"test":"node ./#/public/tests","benchmark":"node ./#/public/benchmarks"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.19.0","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"engineStrict":true,"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_17.0.3_1788191892192_0.14897225737190478","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@17.0.3","version":"17.0.3"}